$(document).ready(function(){
	
	var fadeIn_speed = 500;						//speed for slides to fadein in milliseconds
	var fadeOut_speed = fadeIn_speed;			//speed for slide to fadeout in milliseconds	
	var autoslide = true; 						//set false if you don't want it to auto-slide
	var autoslide_speed=3000;					//speed between slides if autoslide = true
	var show_title = true;						//set to false if you don't want a header above the slider
	var title_text = 'HarrisWeb Simple Responsive Slider';	// enter title text within 'quotes'
	var show_arrows = true;						//set true to show prev / next arrows, false to hide
	var show_border = true;						//set false to hide border
	var slide_copy = true;						//set to false if you don't want a paragraph on the slide
												//slide-copy is set in the <ul id="slide-copy"> in the html 
	var slide_size = 'cover';					//set to 'cover' to cover slide or to 'contain' to see whole image 
	var img_position_y = 'center';					//set image position 'top', 'bottom' or 'center'
	var img_position_x = 'center';				//set imgage position 'left', 'right' or 'center'
	var container_width = '980px';				//set container width in 'px' or '%', the height must be set in 'px'
	var container_height = '350px';				//...note slider is 75px shallower and 35px narrower than container

	
/* ***Do not adjust code below this line unless you really know what you are doing*** */	

// adjust html elements	
// get container dimensions in pixels and set slider dimensions and background position	
	var slider_width = container_width;
	var slider_height = container_height;
	var img_pos = img_position_y+' '+img_position_x;	
	$('#hwss-container').css("width",container_width);
	$('#hwss-container').css("height",container_height);
	container_width = $('#hwss-container').innerWidth();
	container_height = $('#hwss-container').innerHeight();
		
// show or hide various elements and adjust dimensions accordingly		
		if(show_title == false){
			$('#title').css("display","none");
			slider_height = container_height - 10;
		}else{
			$('#title>h1').text(title_text);
			slider_height = container_height - 75;
		}
		
		if(show_arrows == false){
			$('#prev, #next').css("display","none");
			slider_width = container_width - 10;
		}else{
			slider_width = container_width - 35;
		}
		
		if(show_border == false){
			$('#hwss-slider').css({"border":"none",
									"border-radius":"0"});	
		}
		
		if(slide_copy == false){
			$('.hwss-slide-copy').css("display","none");	
		}
				
		$('#hwss-slider').css({	"width":slider_width,
								"height":slider_height})
	
//Add intitial active class
	$('#hwss-slide-background > li').first().addClass('active');
	$('#hwss-slide-title > li').first().addClass('active');
	$('#hwss-slide-desc > li').first().addClass('active');
	
//show first slide
		showSlide();
		
// next handler	
	$('#next').on('click',nextSlide);

// previous handler	
	$('#prev').on('click',prevSlide);

// Autoswitch handler	
	if(autoslide == true){
		setInterval(nextSlide,autoslide_speed);
	}
	
// switch to the next slide
	function nextSlide(){
		$('.active').removeClass('active').addClass('oldActive');
		if($('.oldActive').is(':last-child')){
			$('#hwss-slide-background > li').first().addClass('active');
			$('#hwss-slide-title > li').first().addClass('active');
			$('#hwss-slide-desc > li').first().addClass('active');
		} else {
			$('.oldActive').next().addClass('active');				
		}
		$('.hwss-slide').fadeOut(fadeOut_speed);
		setTimeout(showSlide,fadeOut_speed);		
		$('.oldActive').removeClass('oldActive');
	}
	
//Switch to Previous Slide
	function prevSlide(){
			$('.active').removeClass('active').addClass('oldActive');
		if($('.oldActive').is(':first-child')){
			$('#hwss-slide-background > li').last().addClass('active');	
			$('#hwss-slide-title > li').last().addClass('active');	
			$('#hwss-slide-desc > li').last().addClass('active');	
		} else {
			$('.oldActive').prev().addClass('active');			
		}		
		$('.hwss-slide').fadeOut(fadeOut_speed);
		setTimeout(showSlide,fadeOut_speed);		
		$('.oldActive').removeClass('oldActive');
	}

// Show the slide function	
	function showSlide(){
		var background = $('#hwss-slide-background > li.active').text();
		background = 'url('+ background +')';
		var slide_title = $('#hwss-slide-title > li.active').text();
		var slide_description = $('#hwss-slide-desc > li.active').text();
		$('.hwss-slide').css({
						"background":background,
						"background-size":slide_size,
						"background-repeat":"no-repeat",
						"background-position":img_pos});
		$('.hwss-slide-copy > h2').text(slide_title);
		$('.hwss-slide-copy > p').text(slide_description);
		$('.hwss-slide').fadeIn(fadeIn_speed);			
	}
});




